<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: /work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/Memory.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_bf7cd6b815c7cd0609c73b095c93e324.html">CMS_DAQ_if</a></li><li class="navelem"><a class="el" href="dir_fcee7a2d3c9c02321d79c0bdd5dd4499.html">5Gb</a></li><li class="navelem"><a class="el" href="dir_44ccdd1e469a2dae45cd1ce1f059498b.html">slink</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Memory.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">--------------------------------------------------------------------------------</span><span class="keyword"></span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">--    This <span class="vhdlkeyword">file</span> <span class="vhdlkeyword">is</span> owned <span class="vhdlkeyword">and</span> controlled by Xilinx <span class="vhdlkeyword">and</span> must be used solely     --</span><span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">--    <span class="vhdlkeyword">for</span> design, simulation, implementation <span class="vhdlkeyword">and</span> creation <span class="vhdlkeyword">of</span> design files     --</span><span class="keyword"></span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">--    limited <span class="vhdlkeyword">to</span> Xilinx devices <span class="vhdlkeyword">or</span> technologies. <span class="vhdlkeyword">Use</span> <span class="vhdlkeyword">with</span> non-Xilinx          --</span><span class="keyword"></span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">--    devices <span class="vhdlkeyword">or</span> technologies <span class="vhdlkeyword">is</span> expressly prohibited <span class="vhdlkeyword">and</span> immediately         --</span><span class="keyword"></span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">--    terminates your license.                                                --</span><span class="keyword"></span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">--                                                                            --</span><span class="keyword"></span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">--    XILINX <span class="vhdlkeyword">IS</span> PROVIDING THIS DESIGN, CODE, <span class="vhdlkeyword">OR</span> INFORMATION &quot;AS IS&quot; SOLELY    --</span><span class="keyword"></span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">--    <span class="vhdlkeyword">FOR</span> <span class="vhdlkeyword">USE</span> <span class="vhdlkeyword">IN</span> DEVELOPING PROGRAMS <span class="vhdlkeyword">AND</span> SOLUTIONS <span class="vhdlkeyword">FOR</span> XILINX DEVICES.  BY    --</span><span class="keyword"></span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">--    PROVIDING THIS DESIGN, CODE, <span class="vhdlkeyword">OR</span> INFORMATION AS ONE POSSIBLE             --</span><span class="keyword"></span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">--    IMPLEMENTATION <span class="vhdlkeyword">OF</span> THIS FEATURE, APPLICATION <span class="vhdlkeyword">OR</span> STANDARD, XILINX <span class="vhdlkeyword">IS</span>      --</span><span class="keyword"></span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">--    MAKING NO REPRESENTATION THAT THIS IMPLEMENTATION <span class="vhdlkeyword">IS</span> FREE FROM ANY      --</span><span class="keyword"></span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">--    CLAIMS <span class="vhdlkeyword">OF</span> INFRINGEMENT, <span class="vhdlkeyword">AND</span> YOU ARE RESPONSIBLE <span class="vhdlkeyword">FOR</span> OBTAINING ANY       --</span><span class="keyword"></span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">--    RIGHTS YOU MAY REQUIRE <span class="vhdlkeyword">FOR</span> YOUR IMPLEMENTATION.  XILINX EXPRESSLY       --</span><span class="keyword"></span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">--    DISCLAIMS ANY WARRANTY WHATSOEVER <span class="vhdlkeyword">WITH</span> RESPECT <span class="vhdlkeyword">TO</span> THE ADEQUACY <span class="vhdlkeyword">OF</span> THE   --</span><span class="keyword"></span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">--    IMPLEMENTATION, INCLUDING BUT <span class="vhdlkeyword">NOT</span> LIMITED <span class="vhdlkeyword">TO</span> ANY WARRANTIES <span class="vhdlkeyword">OR</span>          --</span><span class="keyword"></span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">--    REPRESENTATIONS THAT THIS IMPLEMENTATION <span class="vhdlkeyword">IS</span> FREE FROM CLAIMS <span class="vhdlkeyword">OF</span>         --</span><span class="keyword"></span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">--    INFRINGEMENT, IMPLIED WARRANTIES <span class="vhdlkeyword">OF</span> MERCHANTABILITY <span class="vhdlkeyword">AND</span> FITNESS <span class="vhdlkeyword">FOR</span> A   --</span><span class="keyword"></span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">--    PARTICULAR PURPOSE.                                                     --</span><span class="keyword"></span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">--                                                                            --</span><span class="keyword"></span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">--    Xilinx products are <span class="vhdlkeyword">not</span> intended <span class="vhdlkeyword">for</span> <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">in</span> life support appliances,    --</span><span class="keyword"></span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">--    devices, <span class="vhdlkeyword">or</span> systems.  <span class="vhdlkeyword">Use</span> <span class="vhdlkeyword">in</span> such applications are expressly            --</span><span class="keyword"></span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">--    prohibited.                                                             --</span><span class="keyword"></span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">--                                                                            --</span><span class="keyword"></span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">--    (c) Copyright 1995-2014 Xilinx, Inc.                                    --</span><span class="keyword"></span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">--    <span class="vhdlkeyword">All</span> rights reserved.                                                    --</span><span class="keyword"></span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">--------------------------------------------------------------------------------</span><span class="keyword"></span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">--------------------------------------------------------------------------------</span><span class="keyword"></span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">-- You must compile the wrapper <span class="vhdlkeyword">file</span> Memory.vhd <span class="vhdlkeyword">when</span> simulating</span><span class="keyword"></span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">-- the core, Memory. <span class="vhdlkeyword">When</span> compiling the wrapper <span class="vhdlkeyword">file</span>, be sure <span class="vhdlkeyword">to</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">-- reference the XilinxCoreLib VHDL simulation <span class="vhdlkeyword">library</span>. <span class="vhdlkeyword">For</span> detailed</span><span class="keyword"></span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">-- instructions, please refer <span class="vhdlkeyword">to</span> the &quot;CORE Generator Help&quot;.</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">-- The synthesis directives </span><span class="keyword">&quot;translate_off/translate_on&quot;</span> specified<span class="keyword"></span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">-- below are supported by Xilinx, Mentor Graphics <span class="vhdlkeyword">and</span> Synplicity</span><span class="keyword"></span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">-- synthesis tools. Ensure they are correct <span class="vhdlkeyword">for</span> your synthesis tool(s).</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="vhdlkeyword">LIBRARY </span><span class="keywordflow">ieee</span>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="vhdlkeyword">USE </span>ieee.std_logic_1164.<span class="vhdlkeyword">ALL</span>;<span class="keyword"></span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">-- synthesis translate_off</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="vhdlkeyword">LIBRARY </span><span class="keywordflow">XilinxCoreLib</span>;<span class="keyword"></span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">-- synthesis translate_on</span></div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="code" href="classMemory.html">   43</a></span>&#160;<span class="keywordflow">ENTITY </span><a class="code" href="classMemory.html">Memory</a> <span class="vhdlkeyword">IS</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <span class="vhdlkeyword">PORT</span> <span class="vhdlchar">(</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="vhdlchar">clka</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="vhdlchar">wea</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="vhdlchar">addra</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="vhdlchar">dina</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">63</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="vhdlchar">clkb</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="vhdlchar">rstb</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="vhdlchar">addrb</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="vhdlchar">doutb</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">63</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlchar">Memory</span>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="code" href="classMemory_1_1Memory__a.html">   56</a></span>&#160;<span class="vhdlkeyword">ARCHITECTURE</span> Memory_a <span class="vhdlkeyword">OF</span> <a class="code" href="classMemory.html">Memory</a> IS<span class="keyword"></span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="keyword">-- synthesis translate_off</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="vhdlkeyword">COMPONENT</span> wrapped_Memory</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <span class="vhdlkeyword">PORT</span> (</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    clka : <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    wea : <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span>(<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    addra : <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span>(<span class="vhdllogic"></span><span class="vhdllogic">10</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    dina : <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span>(<span class="vhdllogic"></span><span class="vhdllogic">63</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    clkb : <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    rstb : <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    addrb : <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span>(<span class="vhdllogic"></span><span class="vhdllogic">10</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    doutb : <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC_VECTOR</span>(<span class="vhdllogic"></span><span class="vhdllogic">63</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  );</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlkeyword">COMPONENT</span>;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="keyword">-- <span class="vhdlkeyword">Configuration</span> specification</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="vhdlkeyword">FOR</span> <span class="vhdlkeyword">ALL</span> : wrapped_Memory <span class="vhdlkeyword">USE</span> <span class="vhdlkeyword">ENTITY</span> XilinxCoreLib.blk_mem_gen_v7_3(behavioral)</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="vhdlkeyword">GENERIC</span> <span class="vhdlkeyword">MAP</span> (</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;      c_addra_width  =&gt; <span class="vhdllogic">11</span>,</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;      c_addrb_width  =&gt; <span class="vhdllogic">11</span>,</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;      c_algorithm  =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;      c_axi_id_width  =&gt; <span class="vhdllogic">4</span>,</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;      c_axi_slave_type =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;      c_axi_type  =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;      c_byte_size  =&gt; <span class="vhdllogic">9</span>,</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;      c_common_clk  =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;      c_default_data  =&gt; &quot;<span class="vhdllogic">0</span>&quot;,</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;      c_disable_warn_bhv_coll  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;      c_disable_warn_bhv_range  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;      c_enable_32bit_address  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;      c_family  =&gt; <span class="keyword">&quot;kintex7&quot;</span>,</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;      c_has_axi_id  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;      c_has_ena  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;      c_has_enb  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;      c_has_injecterr  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;      c_has_mem_output_regs_a  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;      c_has_mem_output_regs_b  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;      c_has_mux_output_regs_a  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;      c_has_mux_output_regs_b  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;      c_has_regcea  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;      c_has_regceb  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;      c_has_rsta  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;      c_has_rstb  =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;      c_has_softecc_input_regs_a  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;      c_has_softecc_output_regs_b  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;      c_init_file  =&gt; <span class="keyword">&quot;BlankString&quot;</span>,</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;      c_init_file_name =&gt; <span class="keyword">&quot;no_coe_file_loaded&quot;</span> ,</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;      c_inita_val  =&gt; &quot;<span class="vhdllogic">0</span>&quot;,</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;      c_initb_val  =&gt; &quot;<span class="vhdllogic">0</span>&quot;,</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;      c_interface_type =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;      c_load_init_file =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;      c_mem_type  =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;      c_mux_pipeline_stages  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;      c_prim_type  =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;      c_read_depth_a  =&gt; <span class="vhdllogic">2048</span>,</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;      c_read_depth_b  =&gt; <span class="vhdllogic">2048</span>,</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;      c_read_width_a  =&gt; <span class="vhdllogic">64</span>,</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;      c_read_width_b  =&gt; <span class="vhdllogic">64</span>,</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;      c_rst_priority_a =&gt; <span class="keyword">&quot;CE&quot;</span>,</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;      c_rst_priority_b =&gt; <span class="keyword">&quot;CE&quot;</span>,</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;      c_rst_type  =&gt; <span class="keyword">&quot;SYNC&quot;</span>,</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;      c_rstram_a  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;      c_rstram_b  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;      c_sim_collision_check  =&gt; <span class="keyword">&quot;ALL&quot;</span>,</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;      c_use_bram_block =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;      c_use_byte_wea  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;      c_use_byte_web  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;      c_use_default_data  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;      c_use_ecc  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;      c_use_softecc  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;      c_wea_width  =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;      c_web_width  =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;      c_write_depth_a  =&gt; <span class="vhdllogic">2048</span>,</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;      c_write_depth_b  =&gt; <span class="vhdllogic">2048</span>,</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;      c_write_mode_a  =&gt; <span class="keyword">&quot;READ_FIRST&quot;</span>,</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;      c_write_mode_b  =&gt; <span class="keyword">&quot;READ_FIRST&quot;</span>,</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;      c_write_width_a  =&gt; <span class="vhdllogic">64</span>,</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;      c_write_width_b  =&gt; <span class="vhdllogic">64</span>,</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;      c_xdevicefamily  =&gt; <span class="keyword">&quot;kintex7&quot;</span></div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="vhdlchar">)</span>;<span class="keyword"></span></div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;<span class="keyword">-- synthesis translate_on</span></div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="vhdlkeyword">BEGIN</span><span class="keyword"></span></div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="keyword">-- synthesis translate_off</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;U0 : wrapped_Memory</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;  <span class="vhdlkeyword">PORT</span> <span class="vhdlkeyword">MAP</span> (</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    clka  =&gt; clka,</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    wea  =&gt; wea,</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    addra  =&gt; addra,</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    dina  =&gt; dina,</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    clkb  =&gt; clkb,</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    rstb  =&gt; rstb,</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    addrb  =&gt; addrb,</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    doutb  =&gt; doutb</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;  <span class="vhdlchar">)</span>;<span class="keyword"></span></div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="keyword">-- synthesis translate_on</span></div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlchar">Memory_a</span>;</div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:39 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
